#include <bits/stdc++.h>
using namespace std;
int a, n, podeliNa4Seta, minimalniBrojPoena, maksimalanBrojSetova, podeliNa5Setova;
void invalidCheck() {
if (a == n || a < n) {
    cout << -1 << endl;
}
}
int main() {
cin >> a >> n;
invalidCheck();
minimalniBrojPoena = 3*n;
if (minimalniBrojPoena == a) {
    cout << minimalniBrojPoena/3 << " " << 0 << endl;
    cout << minimalniBrojPoena/3 << " " << 0 << endl;
    cout << minimalniBrojPoena/3 << " " << 0 << endl;
return 0;
}


if (4*n < a) {
podeliNa4Seta = a/8;

while (podeliNa4Seta < n) {
    podeliNa4Seta++;
}

while (podeliNa4Seta > n) {
    podeliNa4Seta--;
}
if (a % 2 != 0) {
    cout << (podeliNa4Seta+1) << " " << (podeliNa4Seta-1)/2 << endl;
    cout << (podeliNa4Seta-2) << " " << (podeliNa4Seta+2) << endl;
    cout << (podeliNa4Seta+1) << " " << (podeliNa4Seta-1)/2 << endl;
    cout << (podeliNa4Seta-1) << " " << (podeliNa4Seta+1)/2 << endl;
    return 0;
} else {
    cout << (podeliNa4Seta+1) << " " << (podeliNa4Seta-1)/2 << endl;
    cout << (podeliNa4Seta-1) << " " << (podeliNa4Seta+1)/2 << endl;
    cout << (podeliNa4Seta+1) << " " << (podeliNa4Seta-1)/2 << endl;
    cout << (podeliNa4Seta-1) << " " << (podeliNa4Seta+1)/2 << endl;
return 0;
}


}
else

if (5*n < a) {
podeliNa5Setova = a/10;

while (podeliNa5Setova < n) {
    podeliNa5Setova++;
}

while (podeliNa5Setova > n) {
    podeliNa5Setova--;
}

if (a % 2 != 0) {
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;
cout << (podeliNa5Setova-1)/2 << " " << (podeliNa5Setova+1)/2 << endl;
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;
cout << (podeliNa5Setova-1)/2 << " " << (podeliNa5Setova+1)/2 << endl;
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;return 0;
} else
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;
cout << (podeliNa5Setova-1)/2 << " " << (podeliNa5Setova+1)/2 << endl;
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;
cout << (podeliNa5Setova-1)/2 << " " << (podeliNa5Setova+1)/2 << endl;
cout << (podeliNa5Setova+1)/2 << " " << (podeliNa5Setova-1)/2 << endl;
return 0;
}



return 0;
}